Jump to: navigation, search

Difference between revisions of "ATL/User Guide - Installation"

< ATL
(New page: __FORCETOC__ Category:ATL = Prerequisites = '''Java''' *Download and install a JVM (JRE or JDK), if one is not already installed. **f...)
 
(Adding section name for eclipse help generation)
Line 1: Line 1:
 
__FORCETOC__
 
__FORCETOC__
 
[[Category:ATL]]
 
[[Category:ATL]]
 +
<div name="Installation"></div>
 
= Prerequisites =
 
= Prerequisites =
 
'''Java'''
 
'''Java'''

Revision as of 06:46, 11 February 2010

Prerequisites

Java

  • Download and install a JVM (JRE or JDK), if one is not already installed.
    • for ATL 2.0 or older, JDK 1.4 will work.
    • for ATL 3.0+, you need JDK 5.0 or later

Eclipse

EMF

Install ATL

There are two ways to install ATL:

  • via update site
  • via zip: see ATL Downloads. Once your zip is downloaded, just unpack it into
    • with Eclipse 3.3, 3.2: ~/eclipse/features/ and ~/eclipse/plugins/ folders
    • with Eclipse 3.4+: ~/eclipse/dropins/ folder

Finally, restart Eclipse.

The ATL SDK build enables to:

  • consult documentation offline
  • access ATL examples
  • access the source code of installed ATL plugins

To install ATL from CVS, please refer to the Developer Guide.

See Also